Reorder stream videos
PUT
https://octopus.livepush.io/streams/{stream_id}/videos/arrange
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Sets the playback order of the videos attached to a stream.
Not called by the dashboard.
Requires a token with the streams.videos.write scope.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
PUT
https://octopus.livepush.io/streams/{stream_id}/videos/arrange
— This call changes live data on your account.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the stream.example: st_xxxxxxxxxxxxx
Request body
Array of string.
[
"vd_aaaaaaaa",
"vd_bbbbbbbb"
]
Code samples
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/videos/arrange' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '[
"vd_aaaaaaaa",
"vd_bbbbbbbb"
]'
const response = await fetch('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/videos/arrange', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify([
"vd_aaaaaaaa",
"vd_bbbbbbbb"
]),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = [
"vd_aaaaaaaa",
"vd_bbbbbbbb"
]
response = requests.put('https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/videos/arrange', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Success.
-
successboolean
{
"success": true
}
No response body.
Not found for this account.